Subject: Re: [External] : Re: bug#78810: 30.1; `pp' expectation of `emacs-lisp-mode-syntax-table' etc.

From: Stefan Monnier <[email-masked]>
Date: Tue, 17 Jun 2025 16:02:13 -0400

> I didn't miss that the first `cond' branch was presumably
> _intended_ to be only an optimization.  I don't think it
> always has the same behavior (result) as the second branch,
> and I do think it's bugged.

I did get that impression but you don't show any evidence for it.

> And the defcustom isn't solid, and the doc and names are poor.

I don't know what "solid" means here.  w.r.t names, I'm not sure a new
name would be sufficiently better to justify the cost of renaming.

> You don't respond to any of the questions.

Didn't see any.  I guess they were too far drowned within lots of
other elements.

> For example, is it necessary (or even desirable) for Elisp code in
> a buffer with `lisp-data-mode' to use the second (unoptimized)
> `cond' clause?

I don't know.  Do you have any concrete data for or against it?

> Is `lisp-indent-function' for `indent-line-function'
> really needed (why)?

Does it matter?  Again, some concrete data would help.

> If so, tell users of the defcustom.

Why should they care?

        Stefan